#pragma once
#include "skinnablewindow.h"
#include "textbox.h"
#include "checkbox.h"

class EditProfileWindow :
	public StaticWindow
{
public:
	EditProfileWindow(void);
	~EditProfileWindow(void);

	virtual int Create(HWND parent = 0);
	virtual void OnButton(HWND h);

	void DeepRefresh();

	TextBox login, name, year;
	TextBox background, weapons, interests;
	CheckBox bgcheck, wpcheck, itcheck;

	SkinnableButton more, update, cancel;
	TextBox status;

	UserRecord record;
};
